View Issue Details

IDProjectCategoryView StatusLast Update
0003450unrealmodule apipublic2007-11-25 00:00
ReporteraegisAssigned Toaquanight 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platform*OS*OS Version*
Product Version4.0-devel 
Target VersionFixed in Version4.0-devel 
Summary0003450: Filters (m_filter.so and m_filter_pcre.so ) aren't removed with rehash
DescriptionWhen removing or editing a filter in the inspircd.conf, after rehash the old filters remain (/stats s). My experience was also that due to this, my replacement filter (as simple as ^querty$) was not working.
Steps To ReproduceSet a filter, rehash, edit your filter, rehash again, /stats s
TagsNo tags attached.
3rd party modules

Relationships

child of 0003417 closed TODO list for Unreal4.0 

Activities

stskeeps

2007-07-20 07:14

reporter   ~0014532

I agree with this, pointing to these two paradigms:
Settings from IRCd configuration are considered permanent until rehash (with removal from or altering in configuration)
Settings from IRCd configuration does not impose settings on other servers through server protocol

aquanight

2007-11-24 23:59

reporter   ~0014840

Fixied in revision 244

= Fixed m_filter regexes not being removed upon rehash, reported by aegis (0003450).

Issue History

Date Modified Username Field Change
2007-07-15 18:03 aegis New Issue
2007-07-15 21:59 aquanight Relationship added child of 0003417
2007-07-17 04:27 stskeeps Status new => acknowledged
2007-07-20 07:14 stskeeps Note Added: 0014532
2007-07-20 07:14 stskeeps Status acknowledged => confirmed
2007-11-24 23:59 aquanight QA => Not touched yet by developer
2007-11-24 23:59 aquanight U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-11-24 23:59 aquanight U4: Upstream notification of bug => Not decided
2007-11-24 23:59 aquanight U4: Contributor working on this => None
2007-11-24 23:59 aquanight Note Added: 0014840
2007-11-24 23:59 aquanight Assigned To => aquanight
2007-11-24 23:59 aquanight Status confirmed => resolved
2007-11-24 23:59 aquanight Resolution open => fixed
2007-11-24 23:59 aquanight Fixed in Version => 4.0-devel
2007-11-25 00:00 aquanight QA Not touched yet by developer => Fixed by developer, needs QA testing
2017-01-06 15:48 syzop Category module => module api